---
title: PivotDataSource
page_title: PivotDataSource Overview - Components - Kendo UI for Vue
description: "Use the Kendo UI PivotDataSource wrapper component in Vue projects."
slug: overview_pivotdatasource
position: 5
---

# PivotDataSource Overview

The PivotDataSource extends the [DataSource component]({% slug overview_datasource %}).

It communicates with an [OLAP cube](https://en.wikipedia.org/wiki/OLAP_cube) instance on HTTP by using the [XMLA](https://en.wikipedia.org/wiki/XML_for_Analysis) protocol.

The following example demonstrates how to bind the PivotGrid to the PivotDataSource.

{% meta height:660 %}
{% embed_file pivot-datasource/main.vue preview %}
{% embed_file pivot-datasource/main.js %}
{% endmeta %}


## Suggested Links

* [Kendo UI Data Source for jQuery](https://docs.telerik.com/kendo-ui/framework/datasource/overview)
* [API Reference of the Data Source Component](https://docs.telerik.com/kendo-ui/api/javascript/data/datasource)
* [API Reference of the PivotDataSource Component](https://docs.telerik.com/kendo-ui/api/javascript/data/pivotdatasource)
